<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.15"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>AlexaClientSDK: /workplace/release/tools/avs-cpp-sdk-tools/cm/output2/autoCM_publicRepo/avs-device-sdk/AVSCommon/SDKInterfaces/include/AVSCommon/SDKInterfaces/DCFObserverInterface.h Source File</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="avs-logo.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">AlexaClientSDK
   &#160;<span id="projectnumber">1.7.0</span>
   </div>
   <div id="projectbrief">A cross-platform, modular SDK for interacting with the Alexa Voice Service</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.15 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_13e65effb2bde530b17b3d5eefcd0266.html">AVSCommon</a></li><li class="navelem"><a class="el" href="dir_97afc8111b754cf401b73024f872f45d.html">SDKInterfaces</a></li><li class="navelem"><a class="el" href="dir_17341252d14ec499eb3e1f7903ffcdf5.html">include</a></li><li class="navelem"><a class="el" href="dir_5021e1325decff0a465f80b9ba997f55.html">AVSCommon</a></li><li class="navelem"><a class="el" href="dir_304e5c5f242f015339c8e1473ae913b8.html">SDKInterfaces</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="headertitle">
<div class="title">DCFObserverInterface.h</div>  </div>
</div><!--header-->
<div class="contents">
<a href="_d_c_f_observer_interface_8h.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a name="l00001"></a><span class="lineno">    1</span>&#160;<span class="comment">/*</span></div><div class="line"><a name="l00002"></a><span class="lineno">    2</span>&#160;<span class="comment"> * Copyright 2018 Amazon.com, Inc. or its affiliates. All Rights Reserved.</span></div><div class="line"><a name="l00003"></a><span class="lineno">    3</span>&#160;<span class="comment"> *</span></div><div class="line"><a name="l00004"></a><span class="lineno">    4</span>&#160;<span class="comment"> * Licensed under the Apache License, Version 2.0 (the &quot;License&quot;).</span></div><div class="line"><a name="l00005"></a><span class="lineno">    5</span>&#160;<span class="comment"> * You may not use this file except in compliance with the License.</span></div><div class="line"><a name="l00006"></a><span class="lineno">    6</span>&#160;<span class="comment"> * A copy of the License is located at</span></div><div class="line"><a name="l00007"></a><span class="lineno">    7</span>&#160;<span class="comment"> *</span></div><div class="line"><a name="l00008"></a><span class="lineno">    8</span>&#160;<span class="comment"> *     http://aws.amazon.com/apache2.0/</span></div><div class="line"><a name="l00009"></a><span class="lineno">    9</span>&#160;<span class="comment"> *</span></div><div class="line"><a name="l00010"></a><span class="lineno">   10</span>&#160;<span class="comment"> * or in the &quot;license&quot; file accompanying this file. This file is distributed</span></div><div class="line"><a name="l00011"></a><span class="lineno">   11</span>&#160;<span class="comment"> * on an &quot;AS IS&quot; BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either</span></div><div class="line"><a name="l00012"></a><span class="lineno">   12</span>&#160;<span class="comment"> * express or implied. See the License for the specific language governing</span></div><div class="line"><a name="l00013"></a><span class="lineno">   13</span>&#160;<span class="comment"> * permissions and limitations under the License.</span></div><div class="line"><a name="l00014"></a><span class="lineno">   14</span>&#160;<span class="comment"> */</span></div><div class="line"><a name="l00015"></a><span class="lineno">   15</span>&#160;</div><div class="line"><a name="l00016"></a><span class="lineno">   16</span>&#160;<span class="preprocessor">#ifndef ALEXA_CLIENT_SDK_AVSCOMMON_SDKINTERFACES_INCLUDE_AVSCOMMON_SDKINTERFACES_DCFOBSERVERINTERFACE_H_</span></div><div class="line"><a name="l00017"></a><span class="lineno">   17</span>&#160;<span class="preprocessor">#define ALEXA_CLIENT_SDK_AVSCOMMON_SDKINTERFACES_INCLUDE_AVSCOMMON_SDKINTERFACES_DCFOBSERVERINTERFACE_H_</span></div><div class="line"><a name="l00018"></a><span class="lineno">   18</span>&#160;</div><div class="line"><a name="l00019"></a><span class="lineno">   19</span>&#160;<span class="preprocessor">#include &lt;ostream&gt;</span></div><div class="line"><a name="l00020"></a><span class="lineno">   20</span>&#160;</div><div class="line"><a name="l00021"></a><span class="lineno">   21</span>&#160;<span class="keyword">namespace </span><a class="code" href="namespacealexa_client_s_d_k.html">alexaClientSDK</a> {</div><div class="line"><a name="l00022"></a><span class="lineno">   22</span>&#160;<span class="keyword">namespace </span>avsCommon {</div><div class="line"><a name="l00023"></a><span class="lineno">   23</span>&#160;<span class="keyword">namespace </span><a class="code" href="namespacesdk_interfaces.html">sdkInterfaces</a> {</div><div class="line"><a name="l00024"></a><span class="lineno">   24</span>&#160;</div><div class="line"><a name="l00028"></a><span class="lineno"><a class="line" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_d_c_f_observer_interface.html">   28</a></span>&#160;<span class="keyword">class </span><a class="code" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_d_c_f_observer_interface.html">DCFObserverInterface</a> {</div><div class="line"><a name="l00029"></a><span class="lineno">   29</span>&#160;<span class="keyword">public</span>:</div><div class="line"><a name="l00031"></a><span class="lineno"><a class="line" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_d_c_f_observer_interface.html#a331005311f5460b056c37fff832da30e">   31</a></span>&#160;    <span class="keyword">enum class</span> <a class="code" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_d_c_f_observer_interface.html#a331005311f5460b056c37fff832da30e">State</a> {</div><div class="line"><a name="l00033"></a><span class="lineno">   33</span>&#160;        <a class="code" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_d_c_f_observer_interface.html#a331005311f5460b056c37fff832da30eadd652546039b18970b8dcf2cff824268">UNINITIALIZED</a>,</div><div class="line"><a name="l00035"></a><span class="lineno">   35</span>&#160;        <a class="code" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_d_c_f_observer_interface.html#a331005311f5460b056c37fff832da30ead0749aaba8b833466dfcbb0428e4f89c">SUCCESS</a>,</div><div class="line"><a name="l00037"></a><span class="lineno">   37</span>&#160;        <a class="code" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_d_c_f_observer_interface.html#a331005311f5460b056c37fff832da30eac6179cb17067a08588ff65efb6d02cdd">FATAL_ERROR</a>,</div><div class="line"><a name="l00039"></a><span class="lineno">   39</span>&#160;        <a class="code" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_d_c_f_observer_interface.html#a331005311f5460b056c37fff832da30ea338d7999ce17b46e8aff3f23d0436b06">RETRIABLE_ERROR</a></div><div class="line"><a name="l00040"></a><span class="lineno">   40</span>&#160;    };</div><div class="line"><a name="l00041"></a><span class="lineno">   41</span>&#160;</div><div class="line"><a name="l00043"></a><span class="lineno"><a class="line" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_d_c_f_observer_interface.html#adb141ed1a4de98a9837ce3c35726f301">   43</a></span>&#160;    <span class="keyword">enum class</span> <a class="code" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_d_c_f_observer_interface.html#adb141ed1a4de98a9837ce3c35726f301">Error</a> {</div><div class="line"><a name="l00045"></a><span class="lineno">   45</span>&#160;        <a class="code" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_d_c_f_observer_interface.html#adb141ed1a4de98a9837ce3c35726f301add652546039b18970b8dcf2cff824268">UNINITIALIZED</a>,</div><div class="line"><a name="l00047"></a><span class="lineno">   47</span>&#160;        <a class="code" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_d_c_f_observer_interface.html#adb141ed1a4de98a9837ce3c35726f301ad0749aaba8b833466dfcbb0428e4f89c">SUCCESS</a>,</div><div class="line"><a name="l00049"></a><span class="lineno">   49</span>&#160;        <a class="code" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_d_c_f_observer_interface.html#adb141ed1a4de98a9837ce3c35726f301a9a10f345b0f755d461a8673a5e9ef6b4">UNKNOWN_ERROR</a>,</div><div class="line"><a name="l00051"></a><span class="lineno">   51</span>&#160;        <a class="code" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_d_c_f_observer_interface.html#adb141ed1a4de98a9837ce3c35726f301a4a76a6ecac6e4077588fd966db329fa3">FORBIDDEN</a>,</div><div class="line"><a name="l00053"></a><span class="lineno">   53</span>&#160;        <a class="code" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_d_c_f_observer_interface.html#adb141ed1a4de98a9837ce3c35726f301a6a701b3f16c45b9d96fec4ac97805d9c">SERVER_INTERNAL_ERROR</a>,</div><div class="line"><a name="l00055"></a><span class="lineno">   55</span>&#160;        <a class="code" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_d_c_f_observer_interface.html#adb141ed1a4de98a9837ce3c35726f301a0bbffe9eb8bbfc49246e867fccaefb73">BAD_REQUEST</a></div><div class="line"><a name="l00056"></a><span class="lineno">   56</span>&#160;    };</div><div class="line"><a name="l00057"></a><span class="lineno">   57</span>&#160;</div><div class="line"><a name="l00061"></a><span class="lineno">   61</span>&#160;    <span class="keyword">virtual</span> <a class="code" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_d_c_f_observer_interface.html#afee75ccf1a822aa19c61e53d3fa676cb">~DCFObserverInterface</a>() = <span class="keywordflow">default</span>;</div><div class="line"><a name="l00062"></a><span class="lineno">   62</span>&#160;</div><div class="line"><a name="l00072"></a><span class="lineno">   72</span>&#160;    <span class="keyword">virtual</span> <span class="keywordtype">void</span> <a class="code" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_d_c_f_observer_interface.html#a39421094ce6a5482bbadbbfe585fa6bb">onDCFStateChange</a>(<a class="code" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_d_c_f_observer_interface.html#a331005311f5460b056c37fff832da30e">State</a> newState, <a class="code" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_d_c_f_observer_interface.html#adb141ed1a4de98a9837ce3c35726f301">Error</a> error) = 0;</div><div class="line"><a name="l00073"></a><span class="lineno">   73</span>&#160;};</div><div class="line"><a name="l00074"></a><span class="lineno">   74</span>&#160;</div><div class="line"><a name="l00082"></a><span class="lineno"><a class="line" href="namespacealexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces.html#a104bde264c4f6f78acf21588df0a7489">   82</a></span>&#160;<span class="keyword">inline</span> std::ostream&amp; <a class="code" href="namespacealexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces.html#a379b88faa712291cb1064f972ef6298b">operator&lt;&lt;</a>(std::ostream&amp; stream, <span class="keyword">const</span> <a class="code" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_d_c_f_observer_interface.html#a331005311f5460b056c37fff832da30e">DCFObserverInterface::State</a>&amp; state) {</div><div class="line"><a name="l00083"></a><span class="lineno">   83</span>&#160;    <span class="keywordflow">switch</span> (state) {</div><div class="line"><a name="l00084"></a><span class="lineno">   84</span>&#160;        <span class="keywordflow">case</span> <a class="code" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_d_c_f_observer_interface.html#a331005311f5460b056c37fff832da30eadd652546039b18970b8dcf2cff824268">DCFObserverInterface::State::UNINITIALIZED</a>:</div><div class="line"><a name="l00085"></a><span class="lineno">   85</span>&#160;            <span class="keywordflow">return</span> stream &lt;&lt; <span class="stringliteral">&quot;UNINTIALIZED&quot;</span>;</div><div class="line"><a name="l00086"></a><span class="lineno">   86</span>&#160;        <span class="keywordflow">case</span> <a class="code" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_d_c_f_observer_interface.html#a331005311f5460b056c37fff832da30ead0749aaba8b833466dfcbb0428e4f89c">DCFObserverInterface::State::SUCCESS</a>:</div><div class="line"><a name="l00087"></a><span class="lineno">   87</span>&#160;            <span class="keywordflow">return</span> stream &lt;&lt; <span class="stringliteral">&quot;SUCCESS&quot;</span>;</div><div class="line"><a name="l00088"></a><span class="lineno">   88</span>&#160;        <span class="keywordflow">case</span> <a class="code" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_d_c_f_observer_interface.html#a331005311f5460b056c37fff832da30eac6179cb17067a08588ff65efb6d02cdd">DCFObserverInterface::State::FATAL_ERROR</a>:</div><div class="line"><a name="l00089"></a><span class="lineno">   89</span>&#160;            <span class="keywordflow">return</span> stream &lt;&lt; <span class="stringliteral">&quot;FATAL_ERROR&quot;</span>;</div><div class="line"><a name="l00090"></a><span class="lineno">   90</span>&#160;        <span class="keywordflow">case</span> <a class="code" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_d_c_f_observer_interface.html#a331005311f5460b056c37fff832da30ea338d7999ce17b46e8aff3f23d0436b06">DCFObserverInterface::State::RETRIABLE_ERROR</a>:</div><div class="line"><a name="l00091"></a><span class="lineno">   91</span>&#160;            <span class="keywordflow">return</span> stream &lt;&lt; <span class="stringliteral">&quot;RETRIABLE_ERROR&quot;</span>;</div><div class="line"><a name="l00092"></a><span class="lineno">   92</span>&#160;    }</div><div class="line"><a name="l00093"></a><span class="lineno">   93</span>&#160;    <span class="keywordflow">return</span> stream &lt;&lt; <span class="stringliteral">&quot;Unknown DCFObserverInterface::State!: &quot;</span> &lt;&lt; state;</div><div class="line"><a name="l00094"></a><span class="lineno">   94</span>&#160;}</div><div class="line"><a name="l00095"></a><span class="lineno">   95</span>&#160;</div><div class="line"><a name="l00103"></a><span class="lineno"><a class="line" href="namespacealexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces.html#acadd10cff038a8fd8ba0b3c00d799a55">  103</a></span>&#160;<span class="keyword">inline</span> std::ostream&amp; <a class="code" href="namespacealexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces.html#a379b88faa712291cb1064f972ef6298b">operator&lt;&lt;</a>(std::ostream&amp; stream, <span class="keyword">const</span> <a class="code" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_d_c_f_observer_interface.html#adb141ed1a4de98a9837ce3c35726f301">DCFObserverInterface::Error</a>&amp; error) {</div><div class="line"><a name="l00104"></a><span class="lineno">  104</span>&#160;    <span class="keywordflow">switch</span> (error) {</div><div class="line"><a name="l00105"></a><span class="lineno">  105</span>&#160;        <span class="keywordflow">case</span> <a class="code" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_d_c_f_observer_interface.html#adb141ed1a4de98a9837ce3c35726f301add652546039b18970b8dcf2cff824268">DCFObserverInterface::Error::UNINITIALIZED</a>:</div><div class="line"><a name="l00106"></a><span class="lineno">  106</span>&#160;            <span class="keywordflow">return</span> stream &lt;&lt; <span class="stringliteral">&quot;UNINTIALIZED&quot;</span>;</div><div class="line"><a name="l00107"></a><span class="lineno">  107</span>&#160;        <span class="keywordflow">case</span> <a class="code" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_d_c_f_observer_interface.html#adb141ed1a4de98a9837ce3c35726f301ad0749aaba8b833466dfcbb0428e4f89c">DCFObserverInterface::Error::SUCCESS</a>:</div><div class="line"><a name="l00108"></a><span class="lineno">  108</span>&#160;            <span class="keywordflow">return</span> stream &lt;&lt; <span class="stringliteral">&quot;SUCCESS&quot;</span>;</div><div class="line"><a name="l00109"></a><span class="lineno">  109</span>&#160;        <span class="keywordflow">case</span> <a class="code" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_d_c_f_observer_interface.html#adb141ed1a4de98a9837ce3c35726f301a9a10f345b0f755d461a8673a5e9ef6b4">DCFObserverInterface::Error::UNKNOWN_ERROR</a>:</div><div class="line"><a name="l00110"></a><span class="lineno">  110</span>&#160;            <span class="keywordflow">return</span> stream &lt;&lt; <span class="stringliteral">&quot;UNKNOWN_ERROR&quot;</span>;</div><div class="line"><a name="l00111"></a><span class="lineno">  111</span>&#160;        <span class="keywordflow">case</span> <a class="code" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_d_c_f_observer_interface.html#adb141ed1a4de98a9837ce3c35726f301a4a76a6ecac6e4077588fd966db329fa3">DCFObserverInterface::Error::FORBIDDEN</a>:</div><div class="line"><a name="l00112"></a><span class="lineno">  112</span>&#160;            <span class="keywordflow">return</span> stream &lt;&lt; <span class="stringliteral">&quot;FORBIDDEN&quot;</span>;</div><div class="line"><a name="l00113"></a><span class="lineno">  113</span>&#160;        <span class="keywordflow">case</span> <a class="code" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_d_c_f_observer_interface.html#adb141ed1a4de98a9837ce3c35726f301a6a701b3f16c45b9d96fec4ac97805d9c">DCFObserverInterface::Error::SERVER_INTERNAL_ERROR</a>:</div><div class="line"><a name="l00114"></a><span class="lineno">  114</span>&#160;            <span class="keywordflow">return</span> stream &lt;&lt; <span class="stringliteral">&quot;SERVER_INTERNAL_ERROR&quot;</span>;</div><div class="line"><a name="l00115"></a><span class="lineno">  115</span>&#160;        <span class="keywordflow">case</span> <a class="code" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_d_c_f_observer_interface.html#adb141ed1a4de98a9837ce3c35726f301a0bbffe9eb8bbfc49246e867fccaefb73">DCFObserverInterface::Error::BAD_REQUEST</a>:</div><div class="line"><a name="l00116"></a><span class="lineno">  116</span>&#160;            <span class="keywordflow">return</span> stream &lt;&lt; <span class="stringliteral">&quot;BAD_REQUEST&quot;</span>;</div><div class="line"><a name="l00117"></a><span class="lineno">  117</span>&#160;    }</div><div class="line"><a name="l00118"></a><span class="lineno">  118</span>&#160;    <span class="keywordflow">return</span> stream &lt;&lt; <span class="stringliteral">&quot;Unknown DCFObserverInterface::Error!: &quot;</span> &lt;&lt; error;</div><div class="line"><a name="l00119"></a><span class="lineno">  119</span>&#160;}</div><div class="line"><a name="l00120"></a><span class="lineno">  120</span>&#160;</div><div class="line"><a name="l00121"></a><span class="lineno">  121</span>&#160;}  <span class="comment">// namespace sdkInterfaces</span></div><div class="line"><a name="l00122"></a><span class="lineno">  122</span>&#160;}  <span class="comment">// namespace avsCommon</span></div><div class="line"><a name="l00123"></a><span class="lineno">  123</span>&#160;}  <span class="comment">// namespace alexaClientSDK</span></div><div class="line"><a name="l00124"></a><span class="lineno">  124</span>&#160;</div><div class="line"><a name="l00125"></a><span class="lineno">  125</span>&#160;<span class="preprocessor">#endif  // ALEXA_CLIENT_SDK_AVSCOMMON_SDKINTERFACES_INCLUDE_AVSCOMMON_SDKINTERFACES_DCFOBSERVERINTERFACE_H_</span></div><div class="ttc" id="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_d_c_f_observer_interface_html_a331005311f5460b056c37fff832da30eadd652546039b18970b8dcf2cff824268"><div class="ttname"><a href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_d_c_f_observer_interface.html#a331005311f5460b056c37fff832da30eadd652546039b18970b8dcf2cff824268">alexaClientSDK::avsCommon::sdkInterfaces::DCFObserverInterface::State::UNINITIALIZED</a></div><div class="ttdoc">DCF delegate not yet published. </div></div>
<div class="ttc" id="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_d_c_f_observer_interface_html_a331005311f5460b056c37fff832da30ead0749aaba8b833466dfcbb0428e4f89c"><div class="ttname"><a href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_d_c_f_observer_interface.html#a331005311f5460b056c37fff832da30ead0749aaba8b833466dfcbb0428e4f89c">alexaClientSDK::avsCommon::sdkInterfaces::DCFObserverInterface::State::SUCCESS</a></div><div class="ttdoc">The DCF publish message went through without issues. </div></div>
<div class="ttc" id="namespacealexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_html_a379b88faa712291cb1064f972ef6298b"><div class="ttname"><a href="namespacealexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces.html#a379b88faa712291cb1064f972ef6298b">alexaClientSDK::avsCommon::sdkInterfaces::operator&lt;&lt;</a></div><div class="ttdeci">std::ostream &amp; operator&lt;&lt;(std::ostream &amp;stream, const AudioInputProcessorObserverInterface::State &amp;state)</div><div class="ttdef"><b>Definition:</b> AudioInputProcessorObserverInterface.h:85</div></div>
<div class="ttc" id="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_d_c_f_observer_interface_html_a331005311f5460b056c37fff832da30eac6179cb17067a08588ff65efb6d02cdd"><div class="ttname"><a href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_d_c_f_observer_interface.html#a331005311f5460b056c37fff832da30eac6179cb17067a08588ff65efb6d02cdd">alexaClientSDK::avsCommon::sdkInterfaces::DCFObserverInterface::State::FATAL_ERROR</a></div><div class="ttdoc">The message did not go through because of issues that need fixing. </div></div>
<div class="ttc" id="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_d_c_f_observer_interface_html_afee75ccf1a822aa19c61e53d3fa676cb"><div class="ttname"><a href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_d_c_f_observer_interface.html#afee75ccf1a822aa19c61e53d3fa676cb">alexaClientSDK::avsCommon::sdkInterfaces::DCFObserverInterface::~DCFObserverInterface</a></div><div class="ttdeci">virtual ~DCFObserverInterface()=default</div></div>
<div class="ttc" id="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_d_c_f_observer_interface_html_adb141ed1a4de98a9837ce3c35726f301a6a701b3f16c45b9d96fec4ac97805d9c"><div class="ttname"><a href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_d_c_f_observer_interface.html#adb141ed1a4de98a9837ce3c35726f301a6a701b3f16c45b9d96fec4ac97805d9c">alexaClientSDK::avsCommon::sdkInterfaces::DCFObserverInterface::Error::SERVER_INTERNAL_ERROR</a></div><div class="ttdoc">The server encountered a runtime error. </div></div>
<div class="ttc" id="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_d_c_f_observer_interface_html_a331005311f5460b056c37fff832da30e"><div class="ttname"><a href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_d_c_f_observer_interface.html#a331005311f5460b056c37fff832da30e">alexaClientSDK::avsCommon::sdkInterfaces::DCFObserverInterface::State</a></div><div class="ttdeci">State</div><div class="ttdoc">The enum State describes the state of the DCF delegate. </div><div class="ttdef"><b>Definition:</b> DCFObserverInterface.h:31</div></div>
<div class="ttc" id="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_d_c_f_observer_interface_html_adb141ed1a4de98a9837ce3c35726f301add652546039b18970b8dcf2cff824268"><div class="ttname"><a href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_d_c_f_observer_interface.html#adb141ed1a4de98a9837ce3c35726f301add652546039b18970b8dcf2cff824268">alexaClientSDK::avsCommon::sdkInterfaces::DCFObserverInterface::Error::UNINITIALIZED</a></div><div class="ttdoc">The state (and hence the error) has not been initialized. </div></div>
<div class="ttc" id="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_d_c_f_observer_interface_html_adb141ed1a4de98a9837ce3c35726f301a9a10f345b0f755d461a8673a5e9ef6b4"><div class="ttname"><a href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_d_c_f_observer_interface.html#adb141ed1a4de98a9837ce3c35726f301a9a10f345b0f755d461a8673a5e9ef6b4">alexaClientSDK::avsCommon::sdkInterfaces::DCFObserverInterface::Error::UNKNOWN_ERROR</a></div><div class="ttdoc">An unknown error occurred. </div></div>
<div class="ttc" id="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_d_c_f_observer_interface_html_a331005311f5460b056c37fff832da30ea338d7999ce17b46e8aff3f23d0436b06"><div class="ttname"><a href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_d_c_f_observer_interface.html#a331005311f5460b056c37fff832da30ea338d7999ce17b46e8aff3f23d0436b06">alexaClientSDK::avsCommon::sdkInterfaces::DCFObserverInterface::State::RETRIABLE_ERROR</a></div><div class="ttdoc">The message did not go through, but you can retry to see if you succeed. </div></div>
<div class="ttc" id="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_d_c_f_observer_interface_html_adb141ed1a4de98a9837ce3c35726f301a4a76a6ecac6e4077588fd966db329fa3"><div class="ttname"><a href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_d_c_f_observer_interface.html#adb141ed1a4de98a9837ce3c35726f301a4a76a6ecac6e4077588fd966db329fa3">alexaClientSDK::avsCommon::sdkInterfaces::DCFObserverInterface::Error::FORBIDDEN</a></div><div class="ttdoc">The authorization failed. </div></div>
<div class="ttc" id="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_d_c_f_observer_interface_html_adb141ed1a4de98a9837ce3c35726f301"><div class="ttname"><a href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_d_c_f_observer_interface.html#adb141ed1a4de98a9837ce3c35726f301">alexaClientSDK::avsCommon::sdkInterfaces::DCFObserverInterface::Error</a></div><div class="ttdeci">Error</div><div class="ttdoc">The enum Error encodes possible errors which may occur when changing state. </div><div class="ttdef"><b>Definition:</b> DCFObserverInterface.h:43</div></div>
<div class="ttc" id="namespacealexa_client_s_d_k_html"><div class="ttname"><a href="namespacealexa_client_s_d_k.html">alexaClientSDK</a></div><div class="ttdoc">Whether or not curl logs should be emitted. </div><div class="ttdef"><b>Definition:</b> AVSConnectionManager.h:36</div></div>
<div class="ttc" id="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_d_c_f_observer_interface_html"><div class="ttname"><a href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_d_c_f_observer_interface.html">alexaClientSDK::avsCommon::sdkInterfaces::DCFObserverInterface</a></div><div class="ttdef"><b>Definition:</b> DCFObserverInterface.h:28</div></div>
<div class="ttc" id="namespacesdk_interfaces_html"><div class="ttname"><a href="namespacesdk_interfaces.html">sdkInterfaces</a></div></div>
<div class="ttc" id="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_d_c_f_observer_interface_html_adb141ed1a4de98a9837ce3c35726f301ad0749aaba8b833466dfcbb0428e4f89c"><div class="ttname"><a href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_d_c_f_observer_interface.html#adb141ed1a4de98a9837ce3c35726f301ad0749aaba8b833466dfcbb0428e4f89c">alexaClientSDK::avsCommon::sdkInterfaces::DCFObserverInterface::Error::SUCCESS</a></div><div class="ttdoc">Success. </div></div>
<div class="ttc" id="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_d_c_f_observer_interface_html_a39421094ce6a5482bbadbbfe585fa6bb"><div class="ttname"><a href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_d_c_f_observer_interface.html#a39421094ce6a5482bbadbbfe585fa6bb">alexaClientSDK::avsCommon::sdkInterfaces::DCFObserverInterface::onDCFStateChange</a></div><div class="ttdeci">virtual void onDCFStateChange(State newState, Error error)=0</div></div>
<div class="ttc" id="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_d_c_f_observer_interface_html_adb141ed1a4de98a9837ce3c35726f301a0bbffe9eb8bbfc49246e867fccaefb73"><div class="ttname"><a href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_d_c_f_observer_interface.html#adb141ed1a4de98a9837ce3c35726f301a0bbffe9eb8bbfc49246e867fccaefb73">alexaClientSDK::avsCommon::sdkInterfaces::DCFObserverInterface::Error::BAD_REQUEST</a></div><div class="ttdoc">The request is missing a required parameter, has an invalid value, or is otherwise improperly formed...</div></div>
</div><!-- fragment --></div><!-- contents -->
<html>
  <body>
    <p style="text-align:left;">
      AlexaClientSDK 1.7.0 - Copyright 2016-2018 Amazon.com, Inc. or its affiliates. All Rights Reserved.
      <span style="float:right;">
	Licensed under the <a HREF=http://aws.amazon.com/apache2.0/>Apache License, Version 2.0</a>
      </span>
    </p>
  </body>
</html>
